// PAS DE MODIF ICI
package com.example.MapDemoSimple;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;

public class CustomMapFragment extends MapFragment {

    private static final String LOG_TAG = "CustomMapFragment";

    public CustomMapFragment() {
        super(); // call MapFragment constructor

    }

    public static CustomMapFragment newInstance() { // static factory method
        CustomMapFragment fragment = new CustomMapFragment();
        return fragment;
    }

    @Override
    public View onCreateView(LayoutInflater arg0, ViewGroup container, Bundle arg2) {
    	//if (container == null) { return null;}
        View v = super.onCreateView(arg0, container, arg2);// calling MapFragment onCreateView force map creation
        Fragment fragment = getParentFragment();
        if (fragment != null && fragment instanceof OnMapReadyListener) { // check if prent fragment implements listener
            ((OnMapReadyListener) fragment).onMapReady(this.getMap());  //signal map ready and transmit reference
        }
        return v;
    }


    /**
     * Listener interface to tell when the map is ready
     */
    public interface OnMapReadyListener {
        void onMapReady(GoogleMap map);
    }
}


