// PAS DE MODIF
package com.example.MapDemoSimple;



import android.app.Activity;
import android.app.ListFragment;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ListCoordFragment extends android.app.ListFragment {
	
	  String[] locations = {
		    	"IUT DPT GEII",
		    	// PAS DE MODIFS	"PARIS",
		    	"ROME",
		    };    
		    
		    String[] latlng = {
		    	"43.137293,6.01658",
		    	"48.862682,2.35671",
		    	"41.895761,12.484045",
		    };

	private OnCoordListSelectedListener myEventCoordListener;

	public interface OnCoordListSelectedListener{
		public void OnCoordSelectedEvent(String coord);
	}

	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	}
	
	@Override
	// Called when the Fragment is attached to its parent Activity
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		// Get reference to parent Activity and check if parent implements listener
		try {
			myEventCoordListener = (OnCoordListSelectedListener)activity;
		} catch (ClassCastException e) {
			throw new ClassCastException(activity.toString() +"must implement OnValidateEventListener");
		}
	}
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity(),
				android.R.layout.simple_list_item_1, locations);
		setListAdapter(adapter);
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		myEventCoordListener.OnCoordSelectedEvent(latlng[position]);
	}
}