// Demonstration d'application utilisant des fragments
// Un de ces fragment contiendra une carte instaciée de manière dynamique (CustomMap voir exo précédent)
// Peu de modifs à réaliser
// le travail consiste essentiellement à comprendre le code source

package com.example.MapDemoSimple;

import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.view.Display;
import android.view.View;
import android.widget.Toast;

import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.example.MapDemoSimple.ListCoordFragment.OnCoordListSelectedListener;;

public class MapDemoSimple extends Activity 
			implements OnCoordListSelectedListener{
	
	private static final String KEY1 = "coord_value";

	
	private boolean isMultiPane() {
		return getResources().getConfiguration().orientation
		== Configuration.ORIENTATION_LANDSCAPE;
		}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.main);

		//set you initial fragment object 
		// TO DO:
		// si le conteneur FrameLayout leftContainer est vide alors rajouter un fragment de type liste
		// si tablette en mode paysage (land) alors 
		//on rajoute le fragment CommandPanel (panel de commande)
		// on rajoute en bas du précedent fragment DetailFragment qui est une carte
		
		XXX
      
		

	}
        
       
    
	public void OnCoordSelectedEvent(String coord) {
		if ( isMultiPane()){
	        String[] coordinates = coord.split(",");
	        double lat = Double.parseDouble(coordinates[0]);
	        double lng = Double.parseDouble(coordinates[1]);  
	        DetailFragment detailMap=(DetailFragment)getFragmentManager().findFragmentById(R.id.downRightContainer) ;
	        if (detailMap!=null){
	        	  if (detailMap.isMapReady()){
	  	        	GoogleMap myGoogleMap=detailMap.getMap();
	  	        	if (myGoogleMap!=null){
	  	        		CameraPosition cameraPosition = new CameraPosition.Builder().target(
	  	     	                new LatLng(lat, lng)).zoom(12).build();
	  	     	        myGoogleMap.animateCamera(CameraUpdateFactory.newCameraPosition(cameraPosition));
	  	        	}
	  	        	else{
	  		        	Toast.makeText(getApplication(), "Map error", Toast.LENGTH_LONG);
	  	        	}	
	  	        }
	  	        else{
	  	        	Toast.makeText(getApplication(), "Map Not Ready", Toast.LENGTH_LONG);
	  	        }
	        	
	        } 
		}    
		else {// portrait mode
			Intent intent = new Intent(getApplicationContext(),
					MapDisplayActivity.class);
			intent.putExtra(KEY1, coord);
			startActivity(intent);
		}
	}
}
	

	//	}

