// la creation dynamique de carte demande un laps de temps
// la manipulation dans la foulée de la carte provoque une erreur d'exécution.
// Ce probleme est corriOnMapReadyListenergee sur des versions plus recentes avec l'utilisation de getMApAsync
// Pour nous la solution la plus elegante consiste à implémenter le design pattern Observeur
// l'activité ou le fragment utilisant la carte s'enregistre auprès d'elle
// lorsque la carte est affichee (donc disponible) elle notifiera l'ecouteur

// points clés

package com.example.MapDemoSimple;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.view.Display;

import com.example.MapDemoSimple.CustomMapFragment.OnMapReadyListener;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;

;

public class MapDemoSimple extends Activity implements // TODO: completer XXXX {

	private static final String KEY1 = "coord_value";
	// TO DO: en examinant la suite du programme completer attributs manquants
	xxxxx
	
	private boolean isMultiPane() {
		return getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE;
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		FragmentManager fragmentManager = getFragmentManager();
		myMapFragment = (MapFragment) fragmentManager
				.findFragmentById(R.id.mapContainer);
		if (myMapFragment == null) {
			
			// TODO: créer un CustomMap
			// enregistrer l'activité courante (moi meme) auprès du CustomMap
			// placer le fragment customMap dans le FrameLayout mapContainer
		
			xxxxxx

		}

	}

	
	// TO DO: écriture de la méthode de notification
	// on sauvegarde la référence de la carte
	// on appelle addMarker
	
	xxxxxxx

	private void addMarker() {
		// TODO Auto-generated method stub
		LatLng iutDptGEIIcoord = new LatLng(43.137293, 6.01658);

		// Zoom to IUT coord
		myGoogleMap.moveCamera(CameraUpdateFactory.newLatLngZoom(
				iutDptGEIIcoord, 17));
	}

}

// }

